Subject: Re: [clue] Policy constraints - Review of framework-03

From: "Duckworth, Mark" <[email-masked]>
Date: Mon, 13 Feb 2012 11:33:31 -0800

Sorry, I should have put a more descriptive subject line
Mark

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Duckworth, Mark
Sent: Monday, February 13, 2012 2:31 PM
To: Roni Even; [email-masked]
Subject: Re: [clue] Review of draft-ietf-clue-framework-03

Hi Roni,

I think your example is this:
A provider wants to advertise that it can provide a capture with voice activated switching, or it can provide a capture that switches every 10 seconds, but not both at the same time, is that right?

This is related to the ticket #7 discussion of how to distinguish between these two different switching policies.  That discussion leads to two possibilities of how a provider can advertise this:

Possibility 1: advertise a single media capture with a "switch policy" attribute with (loudest talker, round robin) values, and the consumer can pick which one it wants.

Possibility 2: advertise a media capture with a "switch policy" attribute with (loudest talker); and advertise another media capture with a "switch policy" attribute with (round robin).  Then to indicate it can't send them both at once, the provider must also advertise simultaneous sets that do not have these two media captures in the same set, or it can advertise them both with the same encoding group that has only a single individual encoding in it.

Possibility 1 seems a lot simpler for both provider and consumer to deal with.  Does this address your idea about this constraint?

Mark

===========================================
From: [email-masked] [mailto:[email-masked]] On Behalf Of Roni Even
Sent: Wednesday, February 08, 2012 8:49 AM
To: [email-masked]
Subject: [clue] Review of draft-ietf-clue-framework-03

14. In section 6.3 I think that there is a third type of constrain based on what is called concept in section 6.1. The provider can send a voice activated video switch content or switch between the MCs every 10 seconds.

Thanks
Roni Even

_______________________________________________
clue mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/clue